package com.supervision.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.domain.IrSession;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.domain.IrSessionHistory;
import com.supervision.vo.session.CreateAjResVO;
import com.supervision.vo.session.FinishSessionVO;
import com.supervision.vo.session.NewSessionReqVO;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author flevance
 * @description 针对表【ir_session(会话表)】的数据库操作Service
 * @createDate 2024-03-21 13:14:43
 */
public interface IrSessionService extends IService<IrSession> {

    List<CreateAjResVO> queryAjBeforeCreatSession(String keyword);

    IrSession createNewSession(NewSessionReqVO newSessionReqVO);

    IPage<IrSession> querySessionPage(String sessionName,Integer pageSize, Integer pageNum);

    void finishSession(FinishSessionVO finishSessionVO);

    List<IrSessionHistory> querySessionHistory(String sessionId);

    void deleteSession(List<String> sessionList);

}
